# coding: utf-8

"""
    SendinBlue API

    SendinBlue provide a RESTFul API that can be used with any languages. With this API, you will be able to :   - Manage your campaigns and get the statistics   - Manage your contacts   - Send transactional Emails and SMS   - and much more...  You can download our wrappers at https://github.com/orgs/sendinblue  **Possible responses**   | Code | Message |   | :-------------: | ------------- |   | 200  | OK. Successful Request  |   | 201  | OK. Successful Creation |   | 202  | OK. Request accepted |   | 204  | OK. Successful Update/Deletion  |   | 400  | Error. Bad Request  |   | 401  | Error. Authentication Needed  |   | 402  | Error. Not enough credit, plan upgrade needed  |   | 403  | Error. Permission denied  |   | 404  | Error. Object does not exist |   | 405  | Error. Method not allowed  |   | 406  | Error. Not Acceptable  |   # noqa: E501

    OpenAPI spec version: 3.0.0
    Contact: contact@sendinblue.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six


class FileData(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'url': 'str',
        'id': 'str',
        'name': 'str',
        'author_id': 'str',
        'author': 'object',
        'contact_id': 'int',
        'deal_ids': 'list[str]',
        'size': 'int',
        'created_at': 'datetime',
        'updated_at': 'datetime'
    }

    attribute_map = {
        'url': 'url',
        'id': 'id',
        'name': 'name',
        'author_id': 'authorId',
        'author': 'author',
        'contact_id': 'contactId',
        'deal_ids': 'dealIds',
        'size': 'size',
        'created_at': 'createdAt',
        'updated_at': 'updatedAt'
    }

    def __init__(self, url=None, id=None, name=None, author_id=None, author=None, contact_id=None, deal_ids=None, size=None, created_at=None, updated_at=None):  # noqa: E501
        """FileData - a model defined in Swagger"""  # noqa: E501

        self._url = None
        self._id = None
        self._name = None
        self._author_id = None
        self._author = None
        self._contact_id = None
        self._deal_ids = None
        self._size = None
        self._created_at = None
        self._updated_at = None
        self.discriminator = None

        if url is not None:
            self.url = url
        if id is not None:
            self.id = id
        if name is not None:
            self.name = name
        if author_id is not None:
            self.author_id = author_id
        if author is not None:
            self.author = author
        if contact_id is not None:
            self.contact_id = contact_id
        if deal_ids is not None:
            self.deal_ids = deal_ids
        if size is not None:
            self.size = size
        if created_at is not None:
            self.created_at = created_at
        if updated_at is not None:
            self.updated_at = updated_at

    @property
    def url(self):
        """Gets the url of this FileData.  # noqa: E501

        Url of uploaded file  # noqa: E501

        :return: The url of this FileData.  # noqa: E501
        :rtype: str
        """
        return self._url

    @url.setter
    def url(self, url):
        """Sets the url of this FileData.

        Url of uploaded file  # noqa: E501

        :param url: The url of this FileData.  # noqa: E501
        :type: str
        """

        self._url = url

    @property
    def id(self):
        """Gets the id of this FileData.  # noqa: E501

        Id of uploaded file  # noqa: E501

        :return: The id of this FileData.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this FileData.

        Id of uploaded file  # noqa: E501

        :param id: The id of this FileData.  # noqa: E501
        :type: str
        """

        self._id = id

    @property
    def name(self):
        """Gets the name of this FileData.  # noqa: E501

        Name of uploaded file  # noqa: E501

        :return: The name of this FileData.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this FileData.

        Name of uploaded file  # noqa: E501

        :param name: The name of this FileData.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def author_id(self):
        """Gets the author_id of this FileData.  # noqa: E501

        Account id of user which created the file  # noqa: E501

        :return: The author_id of this FileData.  # noqa: E501
        :rtype: str
        """
        return self._author_id

    @author_id.setter
    def author_id(self, author_id):
        """Sets the author_id of this FileData.

        Account id of user which created the file  # noqa: E501

        :param author_id: The author_id of this FileData.  # noqa: E501
        :type: str
        """

        self._author_id = author_id

    @property
    def author(self):
        """Gets the author of this FileData.  # noqa: E501

        Account details of user which created the file  # noqa: E501

        :return: The author of this FileData.  # noqa: E501
        :rtype: object
        """
        return self._author

    @author.setter
    def author(self, author):
        """Sets the author of this FileData.

        Account details of user which created the file  # noqa: E501

        :param author: The author of this FileData.  # noqa: E501
        :type: object
        """

        self._author = author

    @property
    def contact_id(self):
        """Gets the contact_id of this FileData.  # noqa: E501

        Contact id of contact on which file is uploaded  # noqa: E501

        :return: The contact_id of this FileData.  # noqa: E501
        :rtype: int
        """
        return self._contact_id

    @contact_id.setter
    def contact_id(self, contact_id):
        """Sets the contact_id of this FileData.

        Contact id of contact on which file is uploaded  # noqa: E501

        :param contact_id: The contact_id of this FileData.  # noqa: E501
        :type: int
        """

        self._contact_id = contact_id

    @property
    def deal_ids(self):
        """Gets the deal_ids of this FileData.  # noqa: E501

        Deal ids linked to a file  # noqa: E501

        :return: The deal_ids of this FileData.  # noqa: E501
        :rtype: list[str]
        """
        return self._deal_ids

    @deal_ids.setter
    def deal_ids(self, deal_ids):
        """Sets the deal_ids of this FileData.

        Deal ids linked to a file  # noqa: E501

        :param deal_ids: The deal_ids of this FileData.  # noqa: E501
        :type: list[str]
        """

        self._deal_ids = deal_ids

    @property
    def size(self):
        """Gets the size of this FileData.  # noqa: E501

        Size of file uploaded  # noqa: E501

        :return: The size of this FileData.  # noqa: E501
        :rtype: int
        """
        return self._size

    @size.setter
    def size(self, size):
        """Sets the size of this FileData.

        Size of file uploaded  # noqa: E501

        :param size: The size of this FileData.  # noqa: E501
        :type: int
        """

        self._size = size

    @property
    def created_at(self):
        """Gets the created_at of this FileData.  # noqa: E501

        File created date/time  # noqa: E501

        :return: The created_at of this FileData.  # noqa: E501
        :rtype: datetime
        """
        return self._created_at

    @created_at.setter
    def created_at(self, created_at):
        """Sets the created_at of this FileData.

        File created date/time  # noqa: E501

        :param created_at: The created_at of this FileData.  # noqa: E501
        :type: datetime
        """

        self._created_at = created_at

    @property
    def updated_at(self):
        """Gets the updated_at of this FileData.  # noqa: E501

        File updated date/time  # noqa: E501

        :return: The updated_at of this FileData.  # noqa: E501
        :rtype: datetime
        """
        return self._updated_at

    @updated_at.setter
    def updated_at(self, updated_at):
        """Sets the updated_at of this FileData.

        File updated date/time  # noqa: E501

        :param updated_at: The updated_at of this FileData.  # noqa: E501
        :type: datetime
        """

        self._updated_at = updated_at

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(FileData, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, FileData):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
